POST api/pcconfigapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PcConfigViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| id | globally unique identifier |
None. |
|
| key | globally unique identifier |
Required |
|
| pc_id | globally unique identifier |
Required |
|
| value | string |
String length: inclusive between 0 and 500 |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"id": "1f4d794a-f2a9-4dd0-bbb0-442757205111",
"key": "1f3667da-80a3-45b7-b102-d669c360e2f8",
"pc_id": "c2df18da-7bdb-4f84-875a-259b7802c35f",
"value": "sample string 3"
}
application/xml, text/xml
Sample:
<pc_config xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <id>1f4d794a-f2a9-4dd0-bbb0-442757205111</id> <key>1f3667da-80a3-45b7-b102-d669c360e2f8</key> <pc_id>c2df18da-7bdb-4f84-875a-259b7802c35f</pc_id> <value>sample string 3</value> </pc_config>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"53772003-9bc6-4552-9a35-8b23d96ba5dc"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">53772003-9bc6-4552-9a35-8b23d96ba5dc</guid>